[中文版入口](README_zh.md)

# Design Documents

This section contains some design documents for users who want to learn more about the iSulad project. 

## Architecture

- You can see `iSulad`  architecture in [architecture](./architecture.md).

## Container

- You can see how the gc and supervisor modules are designed in [gc_and_supervisor_design](./detailed/Container/gc_and_supervisor_design.md).

- You can see how the restore modules are designed in [restore_design](./detailed/Container/restore_design.md).

## CRI

- You can see how the CRI startup process is refactored in [cri_cni_refactor](./detailed/CRI/cri_cni_refactor.md).

## Events

- You can see how the events modules are designed in [events_design](./detailed/Events/events_design.md).

## Image

- You can see how the image storage driver modules are designed in [image_storage_driver_design](./detailed/Image/image_storage_driver_design.md).

- You can see how the image store modules are designed in [image_store_design](./detailed/Image/image_store_design.md).

- You can see how the layer store modules are designed in [layer_store_degisn](./detailed/Image/layer_store_degisn.md).

- You can see how the registry modules are designed in [registry_degisn](./detailed/Image/registry_degisn.md).

- You can see how the isula search are designed in [image_search_design](./detailed/Image/image_search_design_zh.md)

## Network

- You can see how the cni operator modules are designed in [cni_operator_design](./detailed/Network/cni_operator_design.md).

- You can see how the CRI adapter modules are designed in [CRI_adapter_design](./detailed/Network/CRI_adapter_design.md).

- You can see how the native network adapter modules are designed in [native_network_adapter_design](./detailed/Network/native_network_adapter_design.md).

- You can see how the native network modules are designed in [native_network_design](./detailed/Network/native_network_design.md).

## Runtime

- You can see how the runtime modules are designed in [runtime_design](./detailed/Runtime/runtime_design.md).

## Security

- You can see how the seccomp is optimized in [seccomp_optimization](./detailed/Security/seccomp_optimization.md).

## Volume

- You can see how the local volume modules are designed in [local_volume_design](./detailed/Volume/local_volume_design.md).